Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79545 - unable to figure out how to influence package removal order
Summary: unable to figure out how to influence package removal order
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 09:59 UTC by Thomas Vander Stichele
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 18:46:21 UTC


Attachments (Terms of Use)
output of rpm -evv (backtick) rpm -qa | grep gstreamer (backtick) (deleted)
2002-12-13 10:00 UTC, Thomas Vander Stichele
no flags Details
spec file for gst-plugins, used to generate these packages (deleted)
2002-12-13 10:02 UTC, Thomas Vander Stichele
no flags Details
spec file for base packages, including gstreamer-tools (deleted)
2002-12-13 10:07 UTC, Thomas Vander Stichele
no flags Details

Description Thomas Vander Stichele 2002-12-13 09:59:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
Unable to figure out how I can influence package removal order.  My 
%post scripts require a script installed by a base package, that gets removed
before most other depending packages.

spec file and log of rpm -evv on all these packages attached.

This bug report is in response to Jeff Johnson's request for it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get the packages at
http://gstreamer.net/releases/redhat/redhat-80-i386/RPMS.test/
2. install them all
3. remove them all
    

Additional info:

Comment 1 Thomas Vander Stichele 2002-12-13 10:00:50 UTC
Created attachment 88685 [details]
output of rpm -evv (backtick) rpm -qa | grep gstreamer (backtick)

Comment 2 Thomas Vander Stichele 2002-12-13 10:02:40 UTC
Created attachment 88686 [details]
spec file for gst-plugins, used to generate these packages

Comment 3 Thomas Vander Stichele 2002-12-13 10:07:04 UTC
Created attachment 88687 [details]
spec file for base packages, including gstreamer-tools

Comment 4 Jeff Johnson 2002-12-15 19:48:40 UTC
Hmmm, none of the attachments are present. Could you reattach the
info please? Thanks.

Comment 5 Jeremy Katz 2005-04-19 18:46:21 UTC
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.


Note You need to log in before you can comment on or make changes to this bug.